INTERFACE
SUBROUTINE SUGAWA35(KN,PL,PDL,PW)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE PARKIND2 ,ONLY : JPRH
INTEGER(KIND=JPIM),INTENT(IN) :: KN
REAL(KIND=JPRB),INTENT(OUT) :: PL(KN)
REAL(KIND=JPRH),INTENT(OUT) :: PDL(KN)
REAL(KIND=JPRB),INTENT(OUT) :: PW(KN)
END SUBROUTINE SUGAWA35
END INTERFACE
